package com.docus.server.archive.converter;

import com.docus.server.archive.entity.PowerUser;
import com.docus.server.mzsy.entity.MzsyUserInfoView;


/**
 * 梅州三院用户信息转换器
 *
 * @author wyb
 */
public class MzsyUserInfoConverter {
    public static PowerUser convertUserInfo(MzsyUserInfoView view) {
        if (view == null) {
            return null;
        }
        Long roleId = 0L;
        // 角色  0-医生 1-护士 2-病案室 3-其他
        String role = view.getFL();
        if ("0".equals(role)) {
            roleId = 1L;
        }
        if ("1".equals(role)) {
            roleId = 2L;
        }
        if ("2".equals(role)) {
            roleId = 7L;
        }
        if ("3".equals(role)) {
            roleId = 0L;
        }
        Integer enable = "是".equals(view.getFISAVAILABLE()) ? 1 : 0;
        PowerUser user = new PowerUser();
        user.setUserName(view.getFEMPCODE());
        user.setName(view.getFEMPNAME());
        user.setDeptId(view.getFIPDEPTID());
        user.setEffective(enable);
        user.setEnabled(enable);
        user.setRoleId(roleId);
        user.setPowerDept(user.getDeptId());
        // 医生默认管辖医生为自己
        if (roleId.equals(1L)) {
            user.setPowerAttending(user.getUserName());
        }
        return user;
    }
}
